
Name:    libqzeitgeist
Summary: Qt Zeitgeist Library
Version: 0.8.0
Release: 3%{?dist}

License: LGPLv2+
URL:     http://projects.kde.org/projects/kdesupport/libqzeitgeist 
Source0: http://download.kde.org/download.php?url=stable/libqzeitgeist/%{version}/src/libqzeitgeist-%{version}.tar.bz2

## upstreamable patches

## upstream patches
# fix linking (don't link the Qt world, including QtWebkit, only use QT_DECLARATIVE_LIBRARIES)
# consistently use QT_IMPORTS_DIR
Patch100: libqzeitgeist-0.8.0-declarative.patch
# reduce linking in libqzeitgeist too
Patch101: libqzeitgeist-0.8.0-reduced_linking.patch


BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: pkgconfig(QtDBus) pkgconfig(QtDeclarative) pkgconfig(QtXml)
BuildRequires: zeitgeist

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}


%prep
%setup -q 

%patch100 -p1 -b .declarative
%patch101 -p1 -b .reduced_linking


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion QZeitgeist)" = "%{version}"



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING README
%{_libdir}/libqzeitgeist.so.%{version}
%{_libdir}/libqzeitgeist.so.1
%{_qt4_importdir}/org/

%files devel
%{_includedir}/QZeitgeist/
%{_libdir}/libqzeitgeist.so
%{_libdir}/cmake/QZeitgeist/
%{_libdir}/pkgconfig/QZeitgeist.pc


%changelog
* Mon Oct 31 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-3
- reduced linking for libqzeitgeist too

* Mon Oct 31 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-2
- declarative patch

* Thu Oct 27 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-1
- 0.8.0

* Fri May 20 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-1
- first try

